<?php
class Usuario
{
    private $pastaArquivo = "/usuariosArquivo/";
    private $email;
    private $nome;
    private $senha;
    public function gravarUsuarioArquivo(){
        //concatena o diretorio do arquivo usuario.php com o $pastaArquivo 
        $caminho = realpath(dirname(__FILE__)).$this->pastaArquivo . $this->getEmail();
        $dados = $this->getEmail() . "\n";
        $dados .= $this->getNome() . "\n";
        $dados .= $this->getSenha() . "\n";
        $arquivo = fopen($caminho, 'w');
        if ($arquivo == false) {
            die("Não foi possível criar o arquivo.");
        }
        fprintf($arquivo, $dados); //grava os dados no arquivo;
        fclose($arquivo); //fecha o arquivo
    }
    //retorna um array com o email de todos os usuários
    //como o nome do arquivo é igual o email é possivel carregar 
    //os dados do usuário utilizando a função carregarUsuario($email);
    public function listarTodosUsuarios() {
         //concatena o diretorio do arquivo usuario.php com o $pastaArquivo 
        $caminho = realpath(dirname(__FILE__)).$this->pastaArquivo ;
        $diretorio = dir($caminho);
        $listaArquivos=array();
        $i=0;
        while($arquivo = $diretorio -> read()){
           
            if($arquivo!="." && $arquivo!=".."){
                 $listaArquivos[$i]=$arquivo;
                 $i++;
            }
        }
        $diretorio -> close();
        return $listaArquivos;
    }
    public function carregarUsuario($email){
        //concatena o diretorio do arquivo usuario.php com o $pastaArquivo 
        $caminho = realpath(dirname(__FILE__)).$this->pastaArquivo . $email;
        if (file_exists($caminho) == false) {die('Não foi possível abrir o arquivo.'); }
        $arquivo = fopen($caminho, 'r');
        if ($arquivo == false) {die('Não foi possível abrir o arquivo.');};
        $dados = array();$linha = 0;
        //le linha a linha até o final do arquivo
        while (!feof($arquivo)) {
            //trim remove espaços em branco no começo ou final de uma string
            $dados[$linha] = trim(fgets($arquivo)); $linha++;
        }
        $this->setEmail($dados[0]);
        $this->setNome($dados[1]);
        $this->setSenha($dados[2]);
        return $this;
    }
    public function setEmail($v)
    {
        $this->email = $v;
    }
    public function setNome($v)
    {
        $this->nome = $v;
    }
    public function setSenha($v)
    {
        $this->senha = $v;
    }
    public function getEmail()
    {
        return $this->email;
    }
    public function getNome()
    {
        return $this->nome;
    }
    public function getSenha()
    {
        return $this->senha;
    }
}






